## ros-noetic-turtlebot3-msgs 1.0.1

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 2.8.3)
project(turtlebot3_msgs)

################################################################################
# Find catkin packages and libraries for catkin and system dependencies
################################################################################
find_package(catkin REQUIRED COMPONENTS
  std_msgs
  message_generation
)

################################################################################
# Setup for python modules and scripts
################################################################################

################################################################################
# Declare ROS messages, services and actions
################################################################################
add_message_files(
  FILES
  SensorState.msg
  VersionInfo.msg
  Sound.msg
)

generate_messages(
  DEPENDENCIES
  std_msgs
)

################################################################################
# Declare ROS dynamic reconfigure parameters
################################################################################

################################################################################
# Declare catkin specific configuration to be passed to dependent projects
################################################################################
catkin_package(
  CATKIN_DEPENDS std_msgs message_runtime
)

################################################################################
# Build
################################################################################

################################################################################
# Install
################################################################################

################################################################################
# Test
################################################################################

=== debian/changelog ===
ros-noetic-turtlebot3-msgs (1.0.1-1buster) buster; urgency=high

  * ROS 1 Noetic Ninjemys support

 -- Will Son <willson@robotis.com>  Wed, 17 Jun 2020 15:00:00 -0000

ros-noetic-turtlebot3-msgs (1.0.0-1buster) buster; urgency=high

  * added sensors
  * deleted unused msg and srv
  * separated turtlebot3_msgs and applications related messages
  * merged pull request #10 <https://github.com/ROBOTIS-GIT/turtlebot3_msgs/issues/10> #9 <https://github.com/ROBOTIS-GIT/turtlebot3_msgs/issues/9> #8 <https://github.com/ROBOTIS-GIT/turtlebot3_msgs/issues/8> #7 <https://github.com/ROBOTIS-GIT/turtlebot3_msgs/issues/7>
  * Contributors: Darby Lim, Gilbert, Pyo

 -- Will Son <willson@robotis.com>  Mon, 28 May 2018 15:00:00 -0000

ros-noetic-turtlebot3-msgs (0.1.5-1buster) buster; urgency=high

  * modified CMakeLists.txt and package for package format v2
  * Contributors: Pyo

 -- Will Son <willson@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-noetic-turtlebot3-msgs (0.1.4-1buster) buster; urgency=high

  * added torque msg in sensor_msgs
  * added Sound.msg
  * deleted motorpower.msg in cmakelists
  * Contributors: Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Fri, 09 Mar 2018 15:00:00 -0000

ros-noetic-turtlebot3-msgs (0.1.3-1buster) buster; urgency=high

  * added msg package for TB3
  * Contributors: Pyo

 -- Will Son <willson@robotis.com>  Sun, 23 Apr 2017 15:00:00 -0000

=== debian/control ===
Source: ros-noetic-turtlebot3-msgs
Section: misc
Priority: optional
Maintainer: Will Son <willson@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-message-generation, ros-noetic-std-msgs
Homepage: http://wiki.ros.org/turtlebot3_msgs
Standards-Version: 3.9.2

Package: ros-noetic-turtlebot3-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-message-runtime, ros-noetic-std-msgs
Description: Message and service types: custom messages and services for TurtleBot3 packages

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-turtlebot3-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
